update-03.03

This commit is contained in:
github-actions[bot] 2022-03-03 13:23:06 +08:00
parent 0dd33ddaa3
commit 021ef92b93
10 changed files with 38087 additions and 55 deletions

BIN
dat/geoip.dat Normal file

Binary file not shown.

10644
dat/geosite.dat Normal file

File diff suppressed because one or more lines are too long

27386
dat/serverlist.txt Normal file

File diff suppressed because it is too large Load Diff

View File

@ -11,53 +11,12 @@ exist() {
command -v "$1" >/dev/null 2>&1
}
WORKDIR="/usr/share/v2ray"
TEMPDIR="/tmp/mosdnsupdatelist"
DOWNLOAD_LINK_GEOIP="https://github.com/Loyalsoldier/geoip/releases/latest/download/geoip-only-cn-private.dat"
DOWNLOAD_LINK_GEOSITE="https://github.com/Loyalsoldier/v2ray-rules-dat/releases/latest/download/geosite.dat"
getdat() {
download_geoip() {
if ! curl -s -L -H 'Cache-Control: no-cache' -o "${TEMPDIR}/geoip.dat.new" "$DOWNLOAD_LINK_GEOIP"; then
echo 'error: Download failed! Please check your network or try again.'
EXIT 1
fi
if ! curl -s -L -H 'Cache-Control: no-cache' -o "${TEMPDIR}/geoip.dat.sha256sum.new" "$DOWNLOAD_LINK_GEOIP.sha256sum"; then
echo 'error: Download failed! Please check your network or try again.'
EXIT 2
fi
SUM="$(sha256sum ${TEMPDIR}/geoip.dat.new | sed 's/ .*//')"
CHECKSUM="$(sed 's/ .*//' ${TEMPDIR}/geoip.dat.sha256sum.new)"
if [[ "$SUM" != "$CHECKSUM" ]]; then
echo 'error: Check failed! Please check your network or try again.'
EXIT 3
fi
}
download_geosite() {
if ! curl -s -L -H 'Cache-Control: no-cache' -o "${TEMPDIR}/geosite.dat.new" "$DOWNLOAD_LINK_GEOSITE"; then
echo 'error: Download failed! Please check your network or try again.'
EXIT 4
fi
if ! curl -s -L -H 'Cache-Control: no-cache' -o "${TEMPDIR}/geosite.dat.sha256sum.new" "$DOWNLOAD_LINK_GEOSITE.sha256sum"; then
echo 'error: Download failed! Please check your network or try again.'
EXIT 5
fi
SUM="$(sha256sum ${TEMPDIR}/geosite.dat.new | sed 's/ .*//')"
CHECKSUM="$(sed 's/ .*//' ${TEMPDIR}/geosite.dat.sha256sum.new)"
if [[ "$SUM" != "$CHECKSUM" ]]; then
echo 'error: Check failed! Please check your network or try again.'
EXIT 6
fi
}
}
rename_new() {
for DAT in 'geoip' 'geosite'; do
mv "${TEMPDIR}/$DAT.dat.new" "${WORKDIR}/$DAT.dat"
# rm "${TEMPDIR}/$DAT.dat.new"
rm "${TEMPDIR}/$DAT.dat.sha256sum.new"
done
if exist curl; then
curl -fSLo "$TMPDIR/$1" "https://gh.404delivr.workers.dev/https://github.com/QiuSimons/openwrt-mos/raw/master/dat/$1"
else
wget "https://gh.404delivr.workers.dev/https://github.com/QiuSimons/openwrt-mos/raw/master/dat/$1" -nv -O "$TMPDIR/$1"
fi
}
getdns() {

View File

@ -10,12 +10,21 @@ TMPDIR=$(mktemp -d) || exit 1
#wget https://cdn.jsdelivr.net/gh/QiuSimons/openwrt-mos@master/luci-app-mosdns/root/etc/mosdns/serverlist.txt -nv -O /tmp/mosdns/serverlist.txt
getdat geoip.dat
getdat geosite.dat
getdat serverlist.txt
find "$TMPDIR"/* -size -20k -exec rm {} \;
syncconfig=$(uci -q get mosdns.mosdns.syncconfig)
if [ "$syncconfig" -eq 1 ]; then
#wget https://cdn.jsdelivr.net/gh/QiuSimons/openwrt-mos@master/luci-app-mosdns/root/etc/mosdns/def_config.yaml -nv -O /tmp/mosdns/def_config.yaml
getdat def_config.yaml
find "$TMPDIR"/* -size -2k -exec rm {} \;
fi
cp -rf "$TMPDIR"/* /usr/share/v2ray
rm -rf "$TMPDIR"
TMPDIR=$(mktemp -d) || exit 2
getdat serverlist.txt
find "$TMPDIR"/* -size -20k -exec rm {} \;
cp -rf "$TMPDIR"/* /etc/mosdns
exit 0

View File

@ -3571,6 +3571,7 @@ aoyou2.top
aoyou3.top
aoyou4.top
ap-srv.net
ap3lorf0il.com
ap72el.com
apainter.cn
aparvibices.com
@ -5267,6 +5268,7 @@ botsforger.com.cn
boubeeth.com
boudja.com
boudougu.com
boudutoo.net
boughtinvulnerablenothing.com
bouillerines.site
boulevardgoodnesslassitude.com
@ -7971,6 +7973,7 @@ detectivesrecoilatmospheric.com
detectorvenomouscutlery.com
detectvid.com
deteran.club
detergentpanties.com
deterindependentblocked.com
deterioratesynonymcrockery.com
determine-month-upward-shoot.xyz
@ -8016,6 +8019,7 @@ dfmngtubtdfxnq.com
dfseafood.com
dftvhvapqxs.xyz
dfxofvzd.com
dfydnyk.cn
dgafgadsgkjg.top
dgaoz.com
dgbaozhuang.cn
@ -8250,6 +8254,7 @@ dk4ywix.com
dk57sacpbi4by.cloudfront.net
dkjdnq.cn
dkjrvgfozzhc.com
dkksrclpfqmmtp.com
dkm6b5q0h53z4.cloudfront.net
dkre4lyk6a9bt.cloudfront.net
dkuiefdtuwnfo.com
@ -8978,6 +8983,7 @@ eeftordu.net
eefxjexuwls.com
eeghegak.com
eegnacou.com
eekdjxqjlrx.com
eekdwmda.com
eeksidro.com
eelfadechi.com
@ -9021,6 +9027,7 @@ efjbjykvyxpil.com
efmqnhbbqyko.xyz
efpvhqdw.xyz
efukheretool.com
egbsisnv.xyz
egeisterytele.xyz
egfqtvewksktz.com
eggglove.com
@ -9488,6 +9495,7 @@ exdynsrv.com
exelate.com
exelator.com
exemix.com
exemph.com
exemplarfilthy.com
exercially.mobi
exgrao.cn
@ -9495,6 +9503,7 @@ exgt.xyz
exhaustedannulmentaccredited.com
exhaustedgemini.com
exhibitedderivedremarkable.com
exhmuxe.cn
exi8ef83z9.com
existsobey.com
exit76.com
@ -13510,6 +13519,7 @@ jogbxpg.cn
johays.co
johtzj.com
joicky.com
joinbrand.club
joiningpreferencemobile.com
joinnowinstantly.com
jokelibellous.com
@ -13830,6 +13840,7 @@ kaafu.cn
kaelpossible.pro
kagdf.com
kagrooxa.net
kahrpinvritz.com
kaifiluk.com
kaiguangdou.com
kaihutai.cn
@ -13996,6 +14007,7 @@ khaate.com
khandragthresh.com
khayatarai.com
khcbilxtj.com
khdokfxtwniknb.top
khewwakrywmgxr.com
khg97644rvbg.com
khovdimina.com
@ -14021,6 +14033,7 @@ kikoucuy.net
kilin.xyz
killerparadehay.com
killingwirelesshumiliation.com
kiltyyoginis.com
kindads.com
kindeargrain.com
kindlyfeebleremembered.com
@ -14805,6 +14818,7 @@ liveadexchanger.com
liveappgirl.net
livecheersharder.com
livehapp.com
liveinpassion.club
liveintent.com
livelihoodpracticaloperating.com
livelylaugh.com
@ -15333,6 +15347,7 @@ malinesmanses.com
mall0.qiyipic.com
mall043.com
mallowsmother.com
maltiverse.lt.acemlnc.com
mamababu.cn
mamihlapinatana.xyz
mammaevict.com
@ -16869,6 +16884,7 @@ noawhupt.net
noblefun.net
noblemandrovebreeches.com
noblemanscramblemoderately.com
noblemeantimeawelessaweless.com
noblift.mobi
noclef.com
nodecrisp.com
@ -17954,6 +17970,7 @@ partners.hostgator.com
partners.priceline.com
partners.rochen.com
partners.wrike.com
partnershipknackcloset.com
partouba.com
partoukfar.co
partssubquery.com
@ -18041,6 +18058,7 @@ pcmzn.com
pcnp.xyz
pcshijie.cn
pcshuju.com
pcsyendormup.com
pctlwm.com
pctracking.net
pctsrv.com
@ -18610,12 +18628,14 @@ popwang.top
popwin.net
popwow.xyz
popxyz.com
porase.com
poredii.com
poresresigntun.com
porngraph.com
pornlemon.com
pornomixfree.com
porntrack.com
porntry.com
porojo.net
portablefish.com
portalisimmo.com
@ -20312,6 +20332,7 @@ ritualwarily.com
ritzykey.com
riverhit.com
riverpush.com
rivulussati.com
rixaka.com
riycecerfpjreyx.xyz
riziftoo.com
@ -20699,6 +20720,7 @@ sabio.us
sabredwillble.com
sabs-push.xyz
sabsmismake.casa
sackswaycheese.com
sacralcabaa.com
sacredperpetratorbasketball.com
sadassemblybladder.com
@ -22738,6 +22760,7 @@ tdedqqv.cn
tdjc.shop
tdtsd.com
tdtxjhel.com
teacher1.shop
teads.tv
teakreese.com
tealeaf.com
@ -23377,6 +23400,7 @@ tqlkg.com
tqlyjz.cn
tqmibkqlwqdysi.com
tqpay.top
tqrvftsbdagk.xyz
tqxdhokpeigv.com
tr563.com
tr691.cn
@ -23513,6 +23537,7 @@ traktrafficflow.com
tramcarnamby.cam
trandlife.info
tranquilside.com
transientspecialowl.com
transmittericilysunstroke.com
transmitterremember.com
traost.com
@ -23691,6 +23716,7 @@ tuan512.cn
tuateramiking.com
tubberlo.com
tubecorp.com
tubefdghxqkgb.com
tubemogul.com
tubemov.com
tudotecnologia.site
@ -24607,6 +24633,7 @@ vivtracking.com
vixnixxer.com
viyuieubw.top
vizaiced.net
vjafttweylg.xyz
vjgenkfqjqng.com
vjkjjhbi.com
vjnpoelbrhd.com
@ -24714,6 +24741,7 @@ vpnmfqas.cn
vpnrequired.com
vpon.com
vptbn.com
vpyigbyjony.top
vpyqdlrweoc.com
vq7736.com
vqlrwgj.cn
@ -24805,6 +24833,7 @@ vwraggcs.xyz
vwuyuahqf.com
vxhmytfndmqko.com
vxjvcwc.cn
vxqaxvqotu.xyz
vxrpmslex.com
vxsnk.com
vy4e3jw46l.com
@ -24964,6 +24993,7 @@ waveclks.com
wavysumatone.cam
waxpigbaa.com
waxtamnit.com
wayexiaofei.club
wayfarerspoutpraise.com
waynagmay.com
wazensee.net
@ -26370,6 +26400,7 @@ yg10x.cn
yg592gpmrh0q.com
ygblogtag.cn
ygcxcqgsnemsb.com
ygfwbczu.com
yggcfcirw.xyz
yggkzs.cn
yggzrdiq.com
@ -26886,6 +26917,7 @@ zdyldoijanx.com
zdzk0371.cn
zdzy.shop
zeads.com
zealotsick.com
zealousfield.com
zeasis.com
zebruisiacu.com
@ -26979,6 +27011,7 @@ zhaoanhu.vip
zhaosijie.cn
zhaovip.site
zhaoyafang.cn
zhaoyiqi.ltd
zhcmuccccixz.com
zhcps.cn
zhekoudajie.com

View File

@ -50,7 +50,8 @@ if [ -f "/tmp/openclash.bak" ]; then
rm -rf "/etc/openclash/openclash" >/dev/null 2>&1
rm -rf "/etc/openclash/fake_filter.list" >/dev/null 2>&1
rm -rf "/etc/openclash/openclash_servers_fake_filter.conf" >/dev/null 2>&1
rm -rf "/tmp/openclash*" >/dev/null 2>&1
rm -rf "/tmp/openclash" >/dev/null 2>&1
rm -rf "/tmp/openclash.bak" >/dev/null 2>&1
fi
source "/etc/openwrt_release"

View File

@ -19,12 +19,12 @@ set_lock
if [ "$CKTIME" != "$(grep "CheckTime" $LAST_OPVER 2>/dev/null |awk -F ':' '{print $2}')" ]; then
if [ "$github_address_mod" != "0" ]; then
if [ "$github_address_mod" == "https://cdn.jsdelivr.net/" ]; then
curl -sL --connect-timeout 5 --retry 2 https://cdn.jsdelivr.net/gh/vernesong/OpenClash@"$RELEASE_BRANCH"/core_version -o $LAST_OPVER >/dev/null 2>&1
curl -sL -m 3 --retry 2 https://cdn.jsdelivr.net/gh/vernesong/OpenClash@"$RELEASE_BRANCH"/core_version -o $LAST_OPVER >/dev/null 2>&1
else
curl -sL --connect-timeout 5 --retry 2 "$github_address_mod"https://raw.githubusercontent.com/vernesong/OpenClash/"$RELEASE_BRANCH"/core_version -o $LAST_OPVER >/dev/null 2>&1
curl -sL -m 3 --retry 2 "$github_address_mod"https://raw.githubusercontent.com/vernesong/OpenClash/"$RELEASE_BRANCH"/core_version -o $LAST_OPVER >/dev/null 2>&1
fi
else
curl -sL --connect-timeout 5 --retry 2 https://raw.githubusercontent.com/vernesong/OpenClash/"$RELEASE_BRANCH"/core_version -o $LAST_OPVER >/dev/null 2>&1
curl -sL -m 3 --retry 2 https://raw.githubusercontent.com/vernesong/OpenClash/"$RELEASE_BRANCH"/core_version -o $LAST_OPVER >/dev/null 2>&1
fi
if [ "$?" -eq "0" ] && [ -s "$LAST_OPVER" ]; then

View File

@ -9,12 +9,12 @@ github_address_mod=$(uci -q get openclash.config.github_address_mod || echo 0)
if [ "$CKTIME" != "$(grep "CheckTime" $LAST_OPVER 2>/dev/null |awk -F ':' '{print $2}')" ]; then
if [ "$github_address_mod" != "0" ]; then
if [ "$github_address_mod" == "https://cdn.jsdelivr.net/" ]; then
curl -sL -m 5 --retry 2 https://cdn.jsdelivr.net/gh/vernesong/OpenClash@"$RELEASE_BRANCH"/version -o $LAST_OPVER >/dev/null 2>&1
curl -sL -m 3 --retry 2 https://cdn.jsdelivr.net/gh/vernesong/OpenClash@"$RELEASE_BRANCH"/version -o $LAST_OPVER >/dev/null 2>&1
else
curl -sL -m 5 --retry 2 "$github_address_mod"https://raw.githubusercontent.com/vernesong/OpenClash/"$RELEASE_BRANCH"/version -o $LAST_OPVER >/dev/null 2>&1
curl -sL -m 3 --retry 2 "$github_address_mod"https://raw.githubusercontent.com/vernesong/OpenClash/"$RELEASE_BRANCH"/version -o $LAST_OPVER >/dev/null 2>&1
fi
else
curl -sL -m 5 --retry 2 https://raw.githubusercontent.com/vernesong/OpenClash/"$RELEASE_BRANCH"/version -o $LAST_OPVER >/dev/null 2>&1
curl -sL -m 3 --retry 2 https://raw.githubusercontent.com/vernesong/OpenClash/"$RELEASE_BRANCH"/version -o $LAST_OPVER >/dev/null 2>&1
fi
if [ "$?" -eq "0" ] && [ -s "$LAST_OPVER" ]; then

View File

@ -7,7 +7,7 @@ include $(TOPDIR)/rules.mk
LUCI_TITLE:=LuCI based ipk store
LUCI_DESCRIPTION:=luci-app-store is a ipk store developed by LinkEase team
LUCI_DEPENDS:=+curl +opkg +luci-lib-ipkg
LUCI_DEPENDS:=+curl +opkg +luci-base
LUCI_PKGARCH:=all
PKG_VERSION:=0.1.7